Create Location Path
POST
/users/{user_id}/location-paths
const url = 'https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/location-paths';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"ended_at":"2026-04-15T12:00:00Z","geometry":[[1]],"started_at":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/location-paths \ --header 'Content-Type: application/json' \ --data '{ "ended_at": "2026-04-15T12:00:00Z", "geometry": [ [ 1 ] ], "started_at": "2026-04-15T12:00:00Z" }'Create a user-drawn path (source=‘manual’). Not flag-gated — no external call.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
LocationPathCreate
User-drawn path (source=‘manual’). Not flag-gated — no external call.
object
ended_at
required
Ended At
string format: date-time
geometry
required
Geometry
Array<Array<number>>
started_at
required
Started At
string format: date-time
Examplegenerated
{ "ended_at": "2026-04-15T12:00:00Z", "geometry": [ [ 1 ] ], "started_at": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
LocationPathRead
object
ended_at
required
Ended At
string format: date-time
geometry
required
Geometry
Array<Array<number>>
id
required
Id
string format: uuid
source
required
Source
string
started_at
required
Started At
string format: date-time
Examplegenerated
{ "distance_m": 1, "ended_at": "2026-04-15T12:00:00Z", "geometry": [ [ 1 ] ], "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "local_date": "2026-04-15", "provider": "example", "source": "example", "started_at": "2026-04-15T12:00:00Z", "travel_mode": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}